Package org.python.modules.zipimport

# Class zipimport

java.lang.Object
org.python.modules.zipimport.zipimport

All Implemented Interfaces:
  `ClassDictInit`

public class zipimport extends Object implements ClassDictInit
This module adds the ability to import Python modules (*.py, *$py.class) and packages from ZIP-format archives.

Author:
  Philip Jenvey

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PyString`
`__doc__`
`static PyDictionary`
`_zip_directory_cache`
`static PyObject`
`ZipImportError`

## Constructor Summary

Constructors
Constructor
Description
`zipimport()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`classDictInit(PyObject dict)`
`static void`
`initClassExceptions(PyObject exceptions)`
Initialize the ZipImportError exception during startup
`static PyException`
`ZipImportError(String message)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static final PyString __doc__

### ZipImportError

public static PyObject ZipImportError

### _zip_directory_cache

public static PyDictionary _zip_directory_cache

## Constructor Details

### zipimport

public zipimport()

## Method Details

### ZipImportError

public static PyException ZipImportError(String message)

### classDictInit

public static void classDictInit(PyObject dict)

### initClassExceptions

public static void initClassExceptions(PyObject exceptions)
Initialize the ZipImportError exception during startup